## sidekick
Class SideKickFoldHandler

    java.lang.Object
      org.gjt.sp.jedit.buffer.FoldHandler
          sidekick.SideKickFoldHandler

public class SideKickFoldHandler
extends FoldHandler

Provides a `FoldHandler` based on the `Asset`s parsed from the buffer. Each `Asset` will become a fold.

Field Summary

Fields inherited from class org.gjt.sp.jedit.buffer.FoldHandler
`SERVICE`

Constructor Summary
`SideKickFoldHandler()`

Method Summary
`int` `getFoldLevel(JEditBuffer buffer, int lineIndex, Segment seg)`

Methods inherited from class org.gjt.sp.jedit.buffer.FoldHandler
`equals, getFoldHandler, getFoldModes, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SideKickFoldHandler

    public SideKickFoldHandler()

Method Detail

### getFoldLevel

    public int getFoldLevel(JEditBuffer buffer,
                            int lineIndex,
                            Segment seg)